sil-sa-app(1)

NAME
sil-sa-app - Sample netconfd-pro server SIL-SA sub-system

SYNOPSIS

   sil-sa-app [--subsys=<subsys-id>] [--library=name]
       [<logging-parameters>] [--retry-limit=num]

DESCRIPTION
sil-sa-app is a sample YumaPro subsystem program to demonstrate how the SIL-SA and YControl libraries can be used within an application.

Refer to the online YumaPro Developer Manual for full details on SIL-SA development:

https://docs.yumaworks.com/en/latest/dev/index.html

USAGE
Parameters can be entered in any order, and have the form:

   --name[=value]

where:

    name == parameter name
    value == optional parameter value

OPTIONS

--address=string
    The --address parameter is optional. It represents the IP address of the main server that will be used for the session. The default is localhost.

--library=string
    The --library parameter keyword is optional. It specifies a SIL-SA library (module or bundle) that should be selected by this subsystem. If any --library parameters are present, then only those SIL-SA libraries will be loaded by this subsystem, if the main server indicates that the module or bundle is loaded. This option can be used multiple times, once for each selected module or bundle.

    If no --library parameters are present then the sil-sa-app will attempt to load all SIL-SA modules and bundles reported by the server.

    If the SIL-SA library is not found in the /usr/lib/yumapro directory then it will be skipped by the subsystem.

    Example: --library=foo (selects libfoo_sa.so)

--log-level=level
    The --log-level, --log, and other logging parameters are also supported.

--port=uint16
    The --port parameter is optional. It represents the TCP port number of the main server that will be used for the session. The default is the local system, determined by the local netconf-subsystem-pro.

--retry-limit=num
    The --retry-limit parameter will cause the subsystem to terminate after the specified number of re-connect attempts. The default value is 5000 re-connect attempts. The parameter is a uint16 number between 1 and 65535.

--subsys-id=string
    The --subsys-id parameter keyword is optional. It specifies the subsystem identifier to use when registering with the netconfd-pro server. The default is 'subsys1' if no value is specified.

AUTHOR
YumaWorks, Inc., <support at yumaworks dot com>

SEE ALSO
netconfd-pro(1) db-api-app(1)